Package com.io7m.cardant.client.basic.internal

# Class CAClientAsynchronous

java.lang.Object
com.io7m.hibiscus.basic.HBClientAsynchronousAbstract<CAClientException,CAICommandType<?>,CAIResponseType,CAIResponseType,CAIResponseError,CAClientEventType,CAClientCredentials>
com.io7m.cardant.client.basic.internal.CAClientAsynchronous

All Implemented Interfaces:
  `CAClientAsynchronousType`, `com.io7m.hibiscus.api.HBClientAsynchronousType<CAClientException,CAICommandType<?>,CAIResponseType,CAIResponseType,CAIResponseError,CAClientEventType,CAClientCredentials>`, `com.io7m.hibiscus.api.HBClientCloseableType<CAClientException>`, `com.io7m.hibiscus.api.HBClientStatusType<CAICommandType<?>,CAIResponseType,CAIResponseError,CAClientEventType,CAClientCredentials>`, `com.io7m.repetoir.core.RPServiceType`, `AutoCloseable`

public final class CAClientAsynchronous extends com.io7m.hibiscus.basic.HBClientAsynchronousAbstract<CAClientException,CAICommandType<?>,CAIResponseType,CAIResponseType,CAIResponseError,CAClientEventType,CAClientCredentials> implements CAClientAsynchronousType
The asynchronous client.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAClientAsynchronous(CAClientConfiguration inConfiguration, CAStrings inStrings, HttpClient inHttpClient)`
  The asynchronous client.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `Optional<CAUserID>`
  `userId()`

  ### Methods inherited from class com.io7m.hibiscus.basic.HBClientAsynchronousAbstract

  `checkNotClosingOrClosed, close, commandExecutor, delegate, disconnectAsync, events, executeAsync, isClosed, isConnected, loginAsync, pollEvents, state, stateNow`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.cardant.client.api.CAClientAsynchronousType

  `description`

  ### Methods inherited from interface com.io7m.hibiscus.api.HBClientAsynchronousType

  `disconnectAsync, executeAsync, executeAsyncOrElseThrow, loginAsync, loginAsyncOrElseThrow, pollEvents`

  ### Methods inherited from interface com.io7m.hibiscus.api.HBClientCloseableType

  `close, isClosed`

  ### Methods inherited from interface com.io7m.hibiscus.api.HBClientStatusType

  `events, isConnected, state, stateNow`

- ## Constructor Details

  - ### CAClientAsynchronous

    public CAClientAsynchronous(CAClientConfiguration inConfiguration, CAStrings inStrings, HttpClient inHttpClient)
    The asynchronous client.
    Parameters:
      `inConfiguration` - The configuration
      `inStrings` - The string resources
      `inHttpClient` - The HTTP client

- ## Method Details

  - ### userId

    public Optional<CAUserID> userId()
    Specified by:
      `userId` in interface `CAClientAsynchronousType`
    Returns:
      The current logged-in user

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`